### Function

# GLib ChildWatchFunc

since: 2.0

#### Declaration

    void
    (* GChildWatchFunc) (
      GPid pid,
      gint wait_status,
      gpointer user_data
    )

#### Description

Prototype of a `GChildWatchSource` callback, called when a child process has exited.

To interpret `wait_status`, see the documentation for g_spawn_check_wait_status(). In particular, on Unix platforms, note that it is usually not equal to the integer passed to `exit()` or returned from `main()`.

Available since: 2.0

#### Parameters

`pid`

  Type: `GPid`

  The process id of the child process.

`wait_status`

  Type: `gint`

  Status information about the child process, encoded in a platform-specific manner.

`user_data`

  Type: `gpointer`

  User data passed to `g_child_watch_add()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.